<?php

/**
 * @author: Кремнев Анатолий (nerimbaud)
 * vk: https://vk.com/nerimbo
 * email: thenerimbo@gmail.com
 */

require '../sys/inc/home.php';
require H . 'sys/inc/start.php';
require H . 'sys/inc/compress.php';
require H . 'sys/inc/sess.php';
require H . 'sys/inc/settings.php';
require H . 'sys/inc/db_connect.php';
require H . 'sys/inc/ipua.php';
require H . 'sys/inc/fnc.php';
require H . 'sys/inc/user.php';

only_reg(); // если зашёл гость, то перекидываем

switch (@$_GET['act']) {
    default:
        $set['title'] = "Настройка оформления";
        require H . 'sys/inc/thead.php';
        title();
        aut();
        ?>
        <div class="mess">
            <b>Настройки стиля</b><br />
            Ширина области: <a href="?act=1"><?=($colorSet[1]) ? $colorSet['1'] . 'px' : 'default'?></a><br />
            Размер шрифта: <a href="?act=2"><?=($colorSet[2]) ? $colorSet['2'] . 'px' : 'default'?></a><br />
            Тип шрифта: <a href="?act=3"><?=($colorSet[3]) ? $colorSet['3'] : 'default'?></a><br />
            Фон: <a href="?act=4"><?=($colorSet[4]) ? '#' . $colorSet['4'] : 'default'?></a>
        </div>
        <?
        break;

    case 1:
        $set['title'] = "Ширина области";
        require H . 'sys/inc/thead.php';
        title();
        aut();
        if (!isset($_POST['body_max_width'])) {
            ?>
            &raquo; <a href="?act=5&amp;clear=1">Поставить по стандарту</a><br /><br />
            <form action="?act=1" method="POST">
                Ширина области:<br />
                <input type="text" name="body_max_width" size="4"
                       value="<?=isset($colorSet['1']) ? $colorSet['1'] : null?>"/><br/>
                <input type="submit" value="Изменить" />
            </form>
            <?
        } else {
            ?>
            &laquo; <a href="?">Оформление</a><br /><br />
            <?
            $max_width = (int)$_POST['body_max_width'];
            if ($max_width <= 0 OR mb_strlen($max_width, 'UTF-8') > 4 OR $max_width < 200 OR $max_width > 1500)
            {
                ?>
                <div class="err">
                    Ширина введена некорректно
                </div>
                <?
            } else {
                if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `userColorSet` WHERE `userId` = '{$user['id']}'"), 0) == TRUE)
                    mysql_query("UPDATE `userColorSet` SET `1` = '$max_width' WHERE `userId` = '{$user['id']}'");
                else
                    mysql_query("INSERT INTO `userColorSet` SET `userId` = '{$user['id']}', `1` = '$max_width'");
                ?>
                <div class="mess">
                    Ширина изменена
                </div>
                <?
            }
        }
        break;

    case 2:
        $set['title'] = "Размер шрифта";
        require H . 'sys/inc/thead.php';
        title();
        aut();
        if (!isset($_POST['font_size'])) {
            ?>
            &raquo; <a href="?act=5&amp;clear=2">Поставить по стандарту</a><br /><br />
            <form action="?act=2" method="POST">
                Размер шрифта в пикселах:<br />
                <input type="text" name="font_size" size="4"
                       value="<?= ($colorSet[2]) ? $colorSet['2'] : null?>"/><br/>
                <input type="submit" value="Изменить" />
            </form>
            <?
        } else {
            ?>
            &laquo; <a href="?">Оформление</a><br /><br />
            <?
            $font_size = (int)$_POST['font_size'];
            if ($font_size < 7 OR $font_size > 20)
            {
                ?>
                <div class="err">
                    Ширина введена некорректно.<br />
                    Диапазон чисел 7-20
                </div>
                <?
            } else {
                if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `userColorSet` WHERE `userId` = '{$user['id']}'"), 0) == TRUE)
                    mysql_query("UPDATE `userColorSet` SET `2` = '$font_size' WHERE `userId` = '{$user['id']}'");
                else
                    mysql_query("INSERT INTO `userColorSet` SET `userId` = '{$user['id']}', `2` = '$font_size'");
                ?>
                <div class="mess">
                    Размер шрифта изменен
                </div>
                <?
            }
        }
        break;

    case 3:
        $set['title'] = "Тип шрифта";
        require H . 'sys/inc/thead.php';
        title();
        aut();
        $type = array(
            1 => 'Verdana',
            2 => 'Arial',
            3 => 'Times New Roman',
            4 => 'Comic Sans MS',
            5 => 'Tahoma',
            6 => 'Berlin Sans FB',
            7 => 'Bookman Old Style',
            8 => 'Century Gothic',
            9 => 'Monotype Corsiva'
        );
        if (!isset($_POST['font_id'])) {
            ?>
            &raquo; <a href="?act=5&amp;clear=3">Поставить по стандарту</a><br /><br />
            <form action="?act=3" method="POST">
                Тип шрифта: <br />
                <select name="font_id">
                <?
                $i = 1;
                foreach ($type as $val)
                {
                    ?>
                    <option value="<?=$i++?>"
                    <?
                    if ($val == $colorSet['3'] )
                    {
                        ?>
                        selected="selected"
                        <?
                    }
                    ?>
                    ><?=$val?></option>
                    <?
                }
                ?>
                </select><br />
                <input type="submit" value="Изменить" />
            </form>
            <?
        } else {
            ?>
            &laquo; <a href="?">Оформление</a><br /><br />
            <?
            $font_id = (int)$_POST['font_id'];
            if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `userColorSet` WHERE `userId` = '{$user['id']}'"), 0) == TRUE)
                mysql_query("UPDATE `userColorSet` SET `3` = '$type[$font_id]' WHERE `userId` = '{$user['id']}'");
            else
                mysql_query("INSERT INTO `userColorSet` SET `userId` = '{$user['id']}', `3` = '$type[$font_id]'");
            ?>
            <div class="mess">
                Шрифт сайта изменен
            </div>
            <?
        }
        break;

    case '4':
        $set['title'] = "Цвет фона";
        require H . 'sys/inc/thead.php';
        title();
        aut();
        // набор цветов
        $type = array(
            '000000',
            '000033',
            '000066',
            '000099',
            '0000CC',
            '0000FF',
            '003300',
            '003333',
            '003366',
            '003399',
            '0033CC',
            '0033FF',
            '006600',
            '006633',
            '006666',
            '006699',
            '0066CC',
            '0066FF',
            '009900',
            '009933',
            '009966',
            '009999',
            '0099CC',
            '0099FF',
            '00CC00',
            '00CC33',
            '00CC66',
            '00CC99',
            '00CCCC',
            '00CCFF',
            '00FF00',
            '00FF33',
            '00FF66',
            '00FF99',
            '00FFCC',
            '00FFFF',
            '330000',
            '330033',
            '330066',
            '330099',
            '3300CC',
            '3300FF',
            '333300',
            '333333',
            '333366',
            '333399',
            '3333CC',
            '3333FF',
            '336600',
            '336633',
            '336666',
            '336699',
            '3366CC',
            '3366FF',
            '339900',
            '339933',
            '339966',
            '339999',
            '3399CC',
            '3399FF',
            '33CC00',
            '33CC33',
            '33CC66',
            '33CC99',
            '33CCCC',
            '33CCFF',
            '33FF00',
            '33FF33',
            '33FF66',
            '33FF99',
            '33FFCC',
            '33FFFF',
            '660000',
            '660033',
            '660066',
            '660099',
            '6600CC',
            '6600FF',
            '663300',
            '663333',
            '663366',
            '663399',
            '6633CC',
            '6633FF',
            '666600',
            '666633',
            '666666',
            '666699',
            '6666CC',
            '6666FF',
            '669900',
            '669933',
            '669966',
            '669999',
            '6699CC',
            '6699FF',
            '66CC00',
            '66CC33',
            '66CC66',
            '66CC99',
            '66CCCC',
            '66CCFF',
            '66FF00',
            '66FF33',
            '66FF66',
            '66FF99',
            '66FFCC',
            '66FFFF',
            '990000',
            '990033',
            '990066',
            '990099',
            '9900CC',
            '9900FF',
            '993300',
            '993333',
            '993366',
            '993399',
            '9933CC',
            '9933FF',
            '996600',
            '996633',
            '996666',
            '996699',
            '9966CC',
            '9966FF',
            '999900',
            '999933',
            '999966',
            '999999',
            '9999CC',
            '9999FF',
            '99CC00',
            '99CC33',
            '99CC66',
            '99CC99',
            '99CCCC',
            '99CCFF',
            '99FF00',
            '99FF33',
            '99FF66',
            '99FF99',
            '99FFCC',
            '99FFFF',
            'CC0000',
            'CC0033',
            'CC0066',
            'CC0099',
            'CC00CC',
            'CC00FF',
            'CC3300',
            'CC3333',
            'CC3366',
            'CC3399',
            'CC33CC',
            'CC33FF',
            'CC6600',
            'CC6633',
            'CC6666',
            'CC6699',
            'CC66CC',
            'CC66FF',
            'CC9900',
            'CC9933',
            'CC9966',
            'CC9999',
            'CC99CC',
            'CC99FF',
            'CCCC00',
            'CCCC33',
            'CCCC66',
            'CCCC99',
            'CCCCCC',
            'CCCCFF',
            'CCFF00',
            'CCFF33',
            'CCFF66',
            'CCFF99',
            'CCFFCC',
            'CCFFFF',
            'FF0000',
            'FF0033',
            'FF0066',
            'FF0099',
            'FF00CC',
            'FF00FF',
            'FF3300',
            'FF3333',
            'FF3366',
            'FF3399',
            'FF33CC',
            'FF33FF',
            'FF6600',
            'FF6633',
            'FF6666',
            'FF6699',
            'FF66CC',
            'FF66FF',
            'FF9900',
            'FF9933',
            'FF9966',
            'FF9999',
            'FF99CC',
            'FF99FF',
            'FFCC00',
            'FFCC33',
            'FFCC66',
            'FFCC99',
            'FFCCCC',
            'FFCCFF',
            'FFFF00',
            'FFFF33',
            'FFFF66',
            'FFFF99',
            'FFFFCC',
            'FFFFFF',
        );
        if (!isset($_GET['font'])) {
            ?>
            &raquo; <a href="?act=5&amp;clear=4">Поставить по стандарту</a><br /><br />
            <form action="?act=4" method="GET">
                Цвет фона: <br />
                <?
                foreach ($type AS $val) {
                    ?>
                    <div style="background-color: #<?=$val?>"><a href="/user/color_set.php?act=4&font=<?=$val?>"><?=$val?></a></div>
                    <?
                }
                ?>
            </form>
            <?
        } else {
            ?>
            &laquo; <a href="?">Оформление</a><br /><br />
            <?
            $font = $_GET['font'];
            if (in_array($font, $type) == FALSE)
                die('Извините! Произошла ошибка');
            if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `userColorSet` WHERE `userId` = '{$user['id']}'"), 0) == TRUE)
                mysql_query("UPDATE `userColorSet` SET `4` = '{$font}' WHERE `userId` = '{$user['id']}'");
            else
                mysql_query("INSERT INTO `userColorSet` SET `userId` = '{$user['id']}', `4` = '{$font}'");
            ?>
            <div class="mess">
                Фон сайта изменен
            </div>
            <?
        }
        break;

    case '5':
        require H . 'sys/inc/thead.php';
        if (isset($_GET['clear'])) {
            $clear = (int)$_GET['clear'];
            if (is_numeric($clear) == false OR $clear <= 0 OR $clear > 4 OR $colorSet == FALSE)
                die('Извините! Произошла ошибка');
            mysql_query("UPDATE `userColorSet` SET `{$clear}` = '' WHERE `userId` = '{$user['id']}'");
        }
        header("Location: /user/color_set.php");
        break;
}

require H . 'sys/inc/tfoot.php';